当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

Fedora8下用yum来安装RPM包

Linux当中很有软件通常不是安装一个RPM包就可以解决的;很多软件包需要编译,这时软件包所对应的kernel和你c语言lib库版本,甚至你的gcc编译器都有可能影响软件安装,好在现在的开源社区越做越好,在Fedora8下绝大多数能想到的包都有rpm,反正也不是做服务,用不着安全和优化,直接用这些rpm就好了。如果是Fedora安装盘上直接有的包,在"添加/删除软件"里直接搜一下装,装完自

Linux当中很有软件通常不是安装一个RPM包就可以解决的;很多软件包需要编译,这时软件包所对应的kernel和你c语言lib库版本,甚至你的 gcc编译器都有可能影响软件安装,好在现在的开源社区越做越好,在Fedora8下绝大多数能想到的包都有rpm,反正也不是做服务,用不着安全和优化,直接用这些rpm就好了。

如果是Fedora安装盘上直接有的包,在"添加/删除软件"里直接搜一下装,装完自动更新会找到最新版帮你升级。要是盘上没有的,比如mplayer自己下载就麻烦了,还不知道关联性中还需要哪些包。用Yellow Dog Updater,Modified(yum)可以帮助你从已经配置好的软件库中下载和安装软件包,甚至会考虑到软件包之间的依赖关系。这个是安装软件包最好的方法,几乎不用干预。记得以前配yum还比较麻烦的,现在的Fedora8已经做的很好了,直接就能用,要是闲官方下载包速度太慢,就自己添加第三方软件库,真是好用好舒服的说。

一.了解yum的配置
在Fedora8下,yum的配置文件在/etc/yum.conf

[main]
cachedir=/var/cache/yum 缓存目录
keepcache=0 确定缓存文件是否要保存
debuglevel=2 调试级别
logfile=/var/log/yum.log 日志文件的位置
exactarch=1 这选项在yum更新的时候有用,他用来确定是否在i386上更新i686的软件包,选1的话是不更新(用的时候还要怎么试还没试过)
obsoletes=1 这个选项在yum(8)中有详细的介绍,他是一个命令行参数,我们以后可以去看看
gpgcheck=1 是否检查gpg GNU Privacy Guard可以用于加密
plugins=1 是否显示插件,有必要设成1,这选项在默认的时候是0。
metadata_expire=1800
installonly_limit=2

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d

这里所谓的repos其实就是软件库

吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有